Kerbal Space Program - Bug #9583

previously working launcher now glitching
04/29/2016 03:58 AM - elthore

Status: Closed Start date: 04/29/2016
Severity: Low % Done: 100%
Assignee:

Category: Bug Tracker

Target version:

Version: 111 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

This craft acts very strange, at a certain point during ascent a booster stack loses all stability and individual engines go wobbly.
There was no such problem in 1.1.0 or 1.0.5, and now it effects all crafts | have that use this launcher.

The problem appears after all orange tanks are dropped, but sometimes when theres 1 or 2 pairs left too. At some point the 'vector'
engines get all wobbly and destroy the rocket. | tried copying the good booster stack in place of the buggy one, checked for strange
struts. Im not sure what changed in the patch to cause this delayed engine wobbliness?? Crafts that used to work but that haven't
been loaded since before patch now exhibit same problem.

History

#1 - 04/29/2016 06:02 AM - Renegrade
- File Serial-Stage-Gyration.jpg added

- File Test-Gyration.craft added

- File output_log.txt added

KSP Version: v1.1.1 Windows 64-bit

What Happens: Radially attached tanks gyrate in a manner not seen before in prior versions of KSP (including 1.1.0 to the best of my knowledge).
They do not stop this gyration even when thrust is cut (very unusual).

Mods / Add-Ons: Pure Stock
Steps to Replicate:
1. Create a craft (it might have to be heavy for this to occur) with radially attached tanks for the bottom stage
2. Launch the craft
3. After a while, the tanks will start to gyrate. The gyration won't stop even when thrust is cut, which is unusual. Normally
Result: An unstoppable gyration occurs
Fixes/Workarounds:
e Heavy strutting dampens this out
Notes:
¢ The craft I've attached is only strutted lightly between stages, and only at the very bottom of the tanks internally (core tank and the six radially
attached tanks are attached near the bottom inside). The original craft | had with the issue was actually slightly more heavily strutted.
¢ | don't know if the fins and/or SRBs are truly necessary (they SEEM to be?)
¢ the gyration doesn't start until around the time the screenshot occurs (say 50% fuel level on that stage)

| fired off two screenshots in quick succession. That's just after the gyration starts. There's nothing of real note that | can see in the log prior to
that. The explosions are from aggressive phys-warping and such to try to get the gyration to stop (or get worse, which it kinda did).

#2 - 07/17/2016 09:48 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2019 11:11 PM - chris.fulton

- Status changed from Needs Clarification to Resolved
- % Done changed from 0 to 100

#4 - 08/09/2019 11:11 PM - chris.fulton

- Status changed from Resolved to Closed

#5 - 08/09/2019 11:11 PM - chris.fulton

Closing, QA has not been able to reproduce this issue for some time and in effort of the database cleanup that is underway this bug is being closed.

Files

Ancient Orbiter.craft 1010 KB 04/29/2016 elthore
probe launcher3c.craft 628 KB 04/29/2016 elthore
Serial-Stage-Gyration.jpg 370 KB 04/29/2016 Renegrade
Test-Gyration.craft 227 KB 04/29/2016 Renegrade
output_log.txt 516 KB 04/29/2016 Renegrade
